﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SharedMenuDemo
{
    public class ViewModel
    {
        public ObservableCollection<ParentData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<ParentData>();

            for(int i=0; i<8; i++)
            {
                Data.Add(new ParentData()
                {
                    ParentLabel = "Parent " + i.ToString()
                });
            }
        }
    }

    public class ParentData
    {
        public string ParentLabel { get; set; }
        public ObservableCollection<ChildData> Children { get; set; }

        public ParentData()
        {
            Children = new ObservableCollection<ChildData>();

            for(int i=0; i<3; i++)
            {
                Children.Add(new ChildData() { ChildLabel = "Child " + i.ToString() });
            }
        }
    }

    public class ChildData
    {
        public string ChildLabel { get; set; }
    }
}

